<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100116";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP


		////Se sube todo el Archivo .CSV
		if (isset($_FILES['file']))
		{	
			$file=$_FILES['file']['tmp_name'];
			
			$handle = fopen($file,"r");
			$handle2 = fopen($file,"r");
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////
		////Se Valida si se selecciona un Archivo de tipo .CSV 	
			$explode_name = explode('.',$_FILES['file']['name']);
			if($explode_name[1] == 'csv'){
			  $csv_file = true;
			  $ValExtension="OK";
			}
			else{
			  $csv_file = false;
			  $ValExtension="NO";
			}  
			
		if ($ValExtension=="OK")
		{
		
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		////Aqui adentro va toro el Proceso
		
		while(($fileop = fgetcsv($handle,1000, ",")) !== false)
			{
				
				$EntrCSV=$fileop[0];
				$OrgVCSV=$fileop[1];
				$PsExCSV=$fileop[2];
				$NomDCSV=$fileop[3];
				$LugaCSV=$fileop[4];

				////Formateando las cadenas, quitando los espacios en blanco Necesarios
					$EntrCSV = trim($EntrCSV);
					$OrgVCSV = trim($OrgVCSV);
					$PsExCSV = trim($PsExCSV);
					$NomDCSV = trim($NomDCSV);
					$LugaCSV = trim($LugaCSV);
					
			$CuentaRegTotal=$CuentaRegTotal+1;	
								
			////Identificar si el Campo Pasillo esta Vacio - 1				
				if ($EntrCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el # de Entrega dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
				}
				else
				{
					
				////Identificar si el Campo TipoSalida esta Vacio - 2			
				if ($OrgVCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el OrgVt dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
			////Identificar si el Campo CveDestino esta Vacio - 3		
				if ($PsExCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar PsEx dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				////Identificar si el Campo Lado esta Vacio - 4	
				if ($NomDCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar el Nom.dest.mercancías dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
				////Identificar si el Campo Lado esta Vacio - 6	
				if ($LugaCSV=="") 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','Falta ingresar LugarDest dentro del reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
					
				
			////Identificar si el codigo Sku Existe dentro del Catalogo de Articulos - 10
				$sql3 = mysql_query("select SKU from tabla_altaproducto WHERE CUENTA='$CuentaCR1' AND SKU='$EntrCSV'");					
				if (mysql_numrows($sql3)<>0) 
				{
					////Guardar Incidencia en la Bitacora
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
			
					////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
						$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
						$libK = mysql_query($sqlIDK); 
						$rs_libK = mysql_fetch_assoc($libK); 
						$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
					////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
						$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$EntrCSV','El código Sku (#Entrega) que deseas recibir ya se encuentra dado de Alta dentro del Sistema. Reglon $CuentaRegTotal','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
				}
				else
				{
				
			////Activación del Validador	
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
				}///10
				}///6
				}///4
				}///3
				}///2
				}///1
								
			}
		}
		else
		{
		$CuentaRegTotal="0";
		
				////Guardar Incidencia en la Bitacora
					
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
			
				////Generador de Folio concecutivo en la tabla temporal_bitacora_docsu_csv///////////
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from temporal_bitacora_docre_csv"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
						
				////Guardar el registro de la Incidencia en la tabla temporal_bitacora_docsu_csv /////
					$sqlGI = "insert into temporal_bitacora_docre_csv (ID,CVE_BODEGA,CVE_CUENTA,ITEM_RECHAZO,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
		        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','N/A','No se selecciono un archivo de Tipo .csv','$UsuEn','$HoraOK','$Fecha')";
					$resultadoGI=mysql_query($sqlGI,$conexion) or die(mysql_error());
						
		echo "<script>alert('ATENCIÓN:\\nNo se selecciono un archivo de Tipo .csv\\nFavor de Corroborarlo.');</script>";
		}		
							
		if ($CuentaRegExitosos==$CuentaRegTotal)			
			{ ////Inicia If Validad Registros Exitosos	
			
			///*****Generar Clave consecutiva de NO_DOCuMENTO (Recibo)
			
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_recibo WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoCta=$registroIDE1["PREFIJO_DOCRECIBO"];
					}
					
					////Generador de Folio para gsrdar el consecutivo de la clave de documento en la tabla_consedocres
					$FechaDocuRes=date("Ymd");
				
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consedocres WHERE FECHA='$FechaDocuRes'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
				
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$IdenCeros.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					if ($id_nuevoDS >9999)
					{
					$ClaveDocSur=$PrefijoCta.$FechaDocuRes.$id_nuevoDS;
					$NoDocPG=$ClaveDocSur;
					}
					
					////Generador de Folio para guardar el consecutivo del # de Documento de Recibo
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocres"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					////Guardar en la BD el consecutivo del # de Documento de Recibo
					$sqlGDS = "insert tabla_consedocres (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA)
        			values('$id_nuevoP2','$BodBodCR1','$CuentaCR1','$id_nuevoDS','$NoDocPG','$FechaDocuRes')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
					
////*****************************Guardar el Registro del Documento de Recibo******************************////
				
					///////GENERADOR DE FOLIO///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_documentos"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
					/////Vigencia de Documento
						$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
						$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
					//////GUARDAR EL LA BD//////////
					$sqlGP = "insert into tabla_documentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,REFERENCIA_1,REFERENCIA_2,ESTADO_DOCUMENTO,TIPODEINGRESO,PROVEEDOR,VIGENCIA,FECHA_REG,HORA_REG,OBSERVACIONES,USUARIO_REG)
			        values('$id_nuevo','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','N/A','N/A','POR RECIBIR','1','PD001','$VigenciaFecha','$Fecha','$HoraOK','Recibo creado por Interfaz','$UsuEn')";

					$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
			
///*****Inicia While General de registro

			//// PROCESO GENERAL DE GUARDADO
			while(($fileop2 = fgetcsv($handle2,1000, ",")) !== false)
				{////Inicia del While general que guarda los Registros
					
					////Generador de Folio para la tabla_detalledocsur
					$sqlPTDD = "select max(ID) as ultimo_FOLIOPTDD from tabla_detalledocumentos"; 
					$libPTDD = mysql_query($sqlPTDD); 
					$rs_libPTDD = mysql_fetch_assoc($libPTDD); 
					$id_nuevoPTDD = $rs_libPTDD['ultimo_FOLIOPTDD'] + 1;

					$EntrCSV=$fileop2[0];
					$OrgVCSV=$fileop2[1];
					$PsExCSV=$fileop2[2];
					$NomDCSV=$fileop2[3];
					$LugaCSV=$fileop2[4];

					////Formateando las cadenas, quitando los espacios en blanco Necesarios
						$EntrCSV = trim($EntrCSV);
						$OrgVCSV = trim($OrgVCSV);
						$PsExCSV = trim($PsExCSV);
						$NomDCSV = trim($NomDCSV);
						$LugaCSV = trim($LugaCSV);
						
					///Crear Descripción
						$DescConca= $OrgVCSV." - ".$PsExCSV." - ".$LugaCSV." - ".$EntrCSV;
				
					////Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
					////Generador de # de Fila para la tabla_detalledocsur
					$sql_SF = "select max(FILA) as ultimo_FOLIO_SF from tabla_detalledocumentos WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocPG'"; 
					$lib_SF = mysql_query($sql_SF); 
					$rs_lib_SF = mysql_fetch_assoc($lib_SF); 
					$id_nuevo_SF = $rs_lib_SF['ultimo_FOLIO_SF'] + 1;

					////Consulta que Guarda el Registro de Cada Ubicación en la tabla_prioridad
					$sql_GDD = mysql_query("INSERT INTO tabla_detalledocumentos (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,FILA,SKU,DESCRIPCION,CANT_XRECIBIR,NO_FACTURA,ESTATUS,USUARIO_ALTA,HORA,FECHA) VALUES ('$id_nuevoPTDD','$BodBodCR1','$CuentaCR1','$NoDocPG','$NoDocPG','$id_nuevo_SF','$EntrCSV','$DescConca','1','$NoDocPG','SIN RECIBO','$UsuEn','$HoraOK','$Fecha')");
					
///*** Guardar el Registro dentro del Catalogo de Articulos

					////Generador de Folio para la tabla_altaproducto
					$sqlPTDD2 = "select max(ID) as ultimo_FOLIOPTDD2 from tabla_altaproducto"; 
					$libPTDD2 = mysql_query($sqlPTDD2); 
					$rs_libPTDD2 = mysql_fetch_assoc($libPTDD2); 
					$id_nuevoPTDD2 = $rs_libPTDD2['ultimo_FOLIOPTDD2'] + 1;	
					
					////Consulta que Guarda el Registro de Cada Articulo en la tabla_altaproducto
					$sql_GCA = mysql_query("INSERT INTO tabla_altaproducto (ID,CVE_BODEGA,CUENTA,SKU,SKU_ALT,DESCRIPCION,FAMILIA,UNIDADMEDIDA,DIASCADUCIDAD,OBSERVACIONES,PZASXCAJA,CAJAXPALLET,HORA,FECHA,HORA_ACT,FECHA_ACT,USUARIO) VALUES ('$id_nuevoPTDD2','$BodBodCR1','$CuentaCR1','$EntrCSV','$EntrCSV','$DescConca','MEDICAMENTO','PAL','1000','Producto dado de alta por interfaz de recibo','1','100000','$HoraOK','$Fecha','$HoraOK','$Fecha','$UsuEn')");				
					
					///Limpiando Variables
					$EntrCSV = "";
					$OrgVCSV = "";
					$PsExCSV = "";
					$NomDCSV = "";
					$LugaCSV = "";
					$DescConca = "";										
						
					} ////Fin del While general que guarda los Registros
				
		echo "<script>alert('DOCUMENTO DE RECIBO INTERFAZADO CORRECTAMENTE.\\nSe agregaron $CuentaRegExitosos registros al detalle del mismo, asi como tambien al catalogo de articulos.');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-RegistroDocReciboInterfazDimesaCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

				} ////Termina If Validad Registros Exitosos
				else
				{ ////Inicia Else Validad Registros Exitosos
				
					echo "<script>alert('Existe inconsistencia en los datos, por lo cual no se podrá continuar con el proceso.\\n\\nFavor de corroborarlo en su Respectiva Bitacora de Interfaz.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=123-BitacoraDocReciboInterfazDimesaCSV.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
				} ////Termina Else Validad Registros Exitosos

		}
		////////FIN SE SUBE TODO EL ARCVHIVO CSV////////////


?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>